Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_PolicyPropertyBundle

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

                  |

                  +--oracle.ifs.server.S_PublicObject

                        |

                        +--oracle.ifs.server.S_TiePublicObject

                              |

                              +--oracle.ifs.server.S_ApplicationObject

                                    |

                                    +--oracle.ifs.server.S_TieApplicationObject

                                          |

                                          +--oracle.ifs.server.S_PropertyBundle

                                                |

                                                +--oracle.ifs.server.S_TiePropertyBundle

                                                      |

                                                      +--oracle.ifs.server.S_PolicyPropertyBundle

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  S_TiePolicyPropertyBundle

public class S_PolicyPropertyBundle
extends S_TiePropertyBundle

An S_PolicyPropertyBundle is the server-side representation of a PolicyPropertyBundle.

A PolicyPropertyBundle is a PropertyBundle containing one or more Policy definitions.

Each Policy definition is captured in the corresponding Property. For each Property contained in the bundle, the Property NAME must be the OPERATION name of the Policy, and the Property VALUE must be the object Id of the Policy.

Method Summary
`protected void` | `extendedPreFree(OperationState opState, S_LibraryObjectDefinition def)` Performs the necessary operations before freeing an object.
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition def)` Performs the necessary oprations before updating an object.

Methods inherited from class oracle.ifs.server.S_PropertyBundle
`deriveDefinition, getProperties, getProperty, getPropertyValue, handleEvent, putProperty, removeProperty`

Methods inherited from class oracle.ifs.server.S_ApplicationObject
`isVersionable`

Methods inherited from class oracle.ifs.server.S_PublicObject
`addRelationship, extendedPreInsert, getCategories, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getReferencingFolders, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getVersionDescriptions, hasNameAttribute, isLocked, removeRelationship`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`equals, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Method Detail

### extendedPreFree

    protected void extendedPreFree(OperationState opState,
                                   S_LibraryObjectDefinition def)
                            throws IfsException

  Performs the necessary operations before freeing an object.

  This is overridden by classes that need to perform operations after successfully deleting the rows for the freed instance.

  Overrides:
    `extendedPreFree` in class `S_PropertyBundle`
  Parameters:
    `opState` - operation state
    `def` - the server-side definition class
  Throws:
    `IfsException` - if operation fails.

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Performs the necessary oprations before updating an object.

  Handles the cases where the update option is specified as a SystemOption.

  Overrides:
    `extendedPreUpdate` in class `S_PropertyBundle`
  Parameters:
    `opState` - operation state
    `def` - the server-side definition class that holds the attribute changes
  Throws:
    `IfsException` - if operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD